Bug 836806 - cleanup fails because The directory "/var/log/ovirt-engine" is not owned by user "ovirt", but by "root" - which is caused by rhevm-cleanup
cleanup fails because The directory "/var/log/ovirt-engine" is not owned by ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Alex Lourie
Yaniv Kaul
integration
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-01 10:56 EDT by Yaniv Kaul
Modified: 2013-07-03 22:47 EDT (History)
9 users (show)

See Also:
Fixed In Version: si11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:02:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-07-01 10:56:33 EDT
Description of problem:
On a relatively clean machine (hand-cleaned), rhevm-cleanup creates /var/log/ovirt-engine with ownership of root:root.
This causes rhevm-setup to fail:

2012-07-01 17:49:42::DEBUG::common_utils::335::root:: output = The directory "/var/log/ovirt-engine" is not owned by user "ovirt", but by "root".

2012-07-01 17:49:42::DEBUG::common_utils::336::root:: stderr = 
2012-07-01 17:49:42::DEBUG::common_utils::337::root:: retcode = 1

Version-Release number of selected component (if applicable):
SI8

How reproducible:


Steps to Reproduce:
1. Run rhevm-cleanup
2. Run rhevm-setup
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alex Lourie 2012-07-17 04:57:20 EDT
Fix posted for review; http://gerrit.ovirt.org/#/c/6363/
Comment 2 Alex Lourie 2012-07-18 13:04:43 EDT
The new rpms installation handle the creation of the log path with correct ownership.
Comment 3 Yaniv Kaul 2012-07-18 16:54:13 EDT
Please allow QE to test the fix, unless you feel it's not needed.
Comment 4 Alex Lourie 2012-07-19 02:41:27 EDT
Sure.
Comment 6 Haim 2012-08-07 02:32:52 EDT
verified on si13:

executed engine-cleanup && engine-setup:


[root@hateya-rhevm ~]# ls -ld /var/log/ovirt-engine/
drwxr-xr-x. 3 ovirt ovirt 4096 Aug  7 12:52 /var/log/ovirt-engine/

Note You need to log in before you can comment on or make changes to this bug.